/* * (1) Copyright and License. */

/* This file is part of GNU 3DLDF, a package for three-dimensional drawing.   */
/* Copyright (C) 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 The Free Software Foundation   */

/* GNU 3DLDF is free software; you can redistribute it and/or modify  */
/* it under the terms of the GNU General Public License as published by  */
/* the Free Software Foundation; either version 3 of the License, or  */
/* (at your option) any later version.   */

/* GNU 3DLDF is distributed in the hope that it will be useful,  */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of  */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  */
/* GNU General Public License for more details.   */

/* You should have received a copy of the GNU General Public License  */
/* along with GNU 3DLDF; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */

/* GNU 3DLDF is a GNU package.   */
/* It is part of the GNU Project of the   */
/* Free Software Foundation  */
/* and is published under the GNU General Public License.  */
/* See the website http://www.gnu.org  */
/* for more information.    */
/* GNU 3DLDF is available for downloading from  */
/* http://www.gnu.org/software/3dldf/LDF.html. */

/* Please send bug reports to Laurence.Finston@gmx.de */
/* The mailing list help-3dldf@gnu.org is available for people to  */
/* ask other users for help.   */
/* The mailing list info-3dldf@gnu.org is for sending  */
/* announcements to users. To subscribe to these mailing lists, send an  */
/* email with ``subscribe <email-address>'' as the subject.   */

/* The author can be contacted at:     */

/* Laurence D. Finston 		       */
/* c/o Free Software Foundation, Inc.  */
/* 51 Franklin St, Fifth Floor 	       */
/* Boston, MA  02110-1301  	       */
/* USA                                 */                             

/* Laurence.Finston@gmx.de  */


/*4184:*/
#line 230 "pfuncfin.w"


#undef YYLTYPE
/*5:*/
#line 160 "pbsndecl.w"

struct
LDF_LOCATION_TYPE
{
unsigned int first_line;
unsigned int first_column;
unsigned int last_line;
unsigned int last_column;
unsigned int position;
/*7:*/
#line 177 "pbsndecl.w"

LDF_LOCATION_TYPE(void);

/*:7*/
#line 169 "pbsndecl.w"

};


/*:5*/
#line 233 "pfuncfin.w"

/*9:*/
#line 204 "pbsndecl.w"


#define YYPARSE_PARAM parameter
#define YYLEX_PARAM parameter
#define YYLTYPE LDF_LOCATION_TYPE
#define YYLOC_DEFAULT(Current, Rhs, N) 













/*:9*/
#line 234 "pfuncfin.w"

/*58:*/
#line 3224 "pbsndecl.w"

namespace
Scan_Parse
{
extern const unsigned int MIN_SHAPE;
extern const unsigned int MAX_SHAPE;
};



/*:58*/
#line 235 "pfuncfin.w"

/*60:*/
#line 3255 "pbsndecl.w"

extern
map<const int,string> name_map;

extern
map<const int,string> type_name_map;


/*:60*/
#line 236 "pfuncfin.w"

/*61:*/
#line 3273 "pbsndecl.w"

int
initialize_name_map(void);





















#line 62 "parser.w"


/*:61*//*4174:*/
#line 75 "pfuncfin.w"

int
yylex(YYSTYPE*value,
YYLTYPE*location,
void*parameter);



/*:4174*//*4175:*/
#line 84 "pfuncfin.w"

int
yyerror(char*message);

/*:4175*//*4177:*/
#line 104 "pfuncfin.w"

void
set_yydebug(int i= 1);

/*:4177*//*4179:*/
#line 125 "pfuncfin.w"

inline
void
unset_yydebug(void)
{
return set_yydebug(0);
}


/*:4179*/
#line 237 "pfuncfin.w"

/*4180:*/
#line 142 "pfuncfin.w"













/*:4180*/
#line 238 "pfuncfin.w"





















#line 507 "parser.w"




















/*:4184*/
